/*
 * Copyright (C) 2016 Väinö Helminen
 */
#ifndef INET_H_C3S4NPET
#define INET_H_C3S4NPET

#ifdef __WIN32__
#  include <winsock2.h>
#  include <ws2tcpip.h>
#  define SHUT_RD   SD_RECEIVE
#  define SHUT_WR   SD_SEND
#  define SHUT_RDWR SD_BOTH

void winsock_init();

#else
#  include <sys/types.h>
#  include <sys/socket.h>
#  include <arpa/inet.h>
#  include <netinet/in.h>

typedef int SOCKET;
#  define INVALID_SOCKET (-1)
#  define closesocket close
#  define socketerror perror
#endif

#ifndef MSG_NOSIGNAL
#  define MSG_NOSIGNAL 0
#endif

#include "log.h"

#endif
