/*
 * Copyright (C) 2016 Väinö Helminen
 */
#ifndef STRUTIL_H_XP2H21D5
#define STRUTIL_H_XP2H21D5

#include <stddef.h>
#include <stdarg.h>

size_t alloc_vsprintf(char **buf, const char *format, va_list ap);

size_t alloc_sprintf(char **buf, const char *format, ...);

char* copy_string(const char *src);

char* copy_substring(const char *src, int from, int to);

char* copy_toupper(const char *src);

const char* rstrstr(const char *haystack, const char *needle);

char *trim(char *src);

char* urldecode(const char *src);

char* urlencode(const char *src);

char* htmlescape(const char *src);

#ifdef __WIN32__
char* convert_utf8_to_windows_1252(const char *src);

char* convert_windows_1252_to_utf8(const char *src);
#endif

#endif
